clear

set maxvar 12000

use cleanV2.dta



gen educe = .

forvalues x = 1997/2008{
forvalues y = 1/12{
replace educe = ceil(52*(`x'-1994)+4.33*`y') if c`x'`y' > 1 | h`x'`y' > 1
}
}

//No highschool variable in 2009
forvalues y=1/12 {
replace educe = ceil(52*(2009-1994)+4.33*`y') if c2009`y'>1
}



/********************************** create jail variable **********************************/

forvalues x= 1/850 {

gen jail`x'=0
}

forvalues x=1/9{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start97`x' == `y' | start97`x' == `ym1' | start97`x' == `ym2' | start97`x' == `ym3' | start97`x' == `ym4'
}
}



forvalues x=1/5{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start98`x' == `y' | start98`x' == `ym1' | start98`x' == `ym2' | start98`x' == `ym3' | start98`x' == `ym4'
}
}

forvalues x=1/4{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start99`x' == `y' | start99`x' == `ym1' | start99`x' == `ym2' | start99`x' == `ym3' | start99`x' == `ym4'
}
}
forvalues x=1/9{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start00`x' == `y' | start00`x' == `ym1' | start00`x' == `ym2' | start00`x' == `ym3' | start00`x' == `ym4'
}
}

forvalues x=1/5{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start01`x' == `y' | start01`x' == `ym1' | start01`x' == `ym2' | start01`x' == `ym3' | start01`x' == `ym4'
}
}

forvalues x=1/4{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start02`x' == `y' | start02`x' == `ym1' | start02`x' == `ym2' | start02`x' == `ym3' | start02`x' == `ym4'
}
}
forvalues x=1/4{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start04`x' == `y' | start04`x' == `ym1' | start04`x' == `ym2' | start04`x' == `ym3' | start04`x' == `ym4'
}
}
forvalues x=1/4{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start05`x' == `y' | start05`x' == `ym1' | start05`x' == `ym2' | start05`x' == `ym3' | start05`x' == `ym4'
}
}

forvalues x=1/4{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start06`x' == `y' | start06`x' == `ym1' | start06`x' == `ym2' | start06`x' == `ym3' | start06`x' == `ym4'
}
}

forvalues x=1/3{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start07`x' == `y' | start07`x' == `ym1' | start07`x' == `ym2' | start07`x' == `ym3' | start07`x' == `ym4'
}
}
forvalues x=1/3{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start08`x' == `y' | start08`x' == `ym1' | start08`x' == `ym2' | start08`x' == `ym3' | start08`x' == `ym4'
}
}
forvalues x=1/3{
forvalues y=1/850{
local ym1 = `y' - 1
local ym2 = `y' - 2
local ym3 = `y' - 3
local ym4 = `y' - 4
replace jail`y'=7 if start09`x' == `y' | start09`x' == `ym1' | start09`x' == `ym2' | start09`x' == `ym3' | start09`x' == `ym4'
}
}











save cleanV3.dta, replace
