clear

set maxvar 13000

use cleanV3.dta


forvalues x = 1/10{

gen u`x's = .
gen u`x'e = .
gen u`x'next = .
gen u`x'ms = . 
gen u`x'msa = . 
gen u`x'prev = .
forvalue y = 1/300{
gen u`x'ui`y' = .
gen u`x'srch`y' = .
}
}

forvalues x = 1/850{
replace ui`x' = -4 if ui`x' == .
}

//forvalues x = 1/850{
//replace w`x' = 4 if w`x' == 5
//}

forvalues x = 1/850{
replace w`x' = 7 if jail`x' == 7
}


forvalues x = 2/849{
local xm1 = `x' - 1
local xp1 = `x' + 1

forvalues y = 1/9{
local z = 11 - `y'
local zm1 = 11 - `y'-1
replace u`z's = `x' if u`z's == . & u`zm1'e!=. & w`xm1'!=w`x' & w`x'==4
replace u`z'prev = w`xm1' if u`z'prev == . & u`z's!= .
replace u`z'ms = mart`x' if u`z'ms == . & u`z's!= .
replace u`z'msa = msa`x' if u`z'msa == . & u`z's!= .
replace u`z'ui1  = ui`x' if u`z'ui1 == . & u`z's!= . & u`z'e == .
replace u`z'srch1  = w`x' if u`z'srch1 == . & u`z's!= . & u`z'e == .
forvalues a = 1/299{
local bm1 = 301 - `a' - 1
local b   = 301 - `a'
replace u`z'ui`b'  = ui`x' if u`z'ui`bm1' != . & u`z'ui`b' == . & u`z's!= . & u`z'e == .
replace u`z'srch`b'  = w`x'   if u`z'srch`bm1' != . & u`z'srch`b' == . & u`z's!= . & u`z'e == .
}
replace u`z'next = w`xp1' if u`z'e == . & u`z's != . & w`xp1' != w`x'
replace u`z'next = 7 if u`z'e == . & u`z's != . & w`xp1' != w`x' & (jail`x' == 7 | jail`xp1' == 7)
replace u`z'e = `x' if u`z'e == . & u`z's != . & w`xp1' != w`x'
}

replace u1s = `x' if u1s == . & w`xm1'!=4 & w`x'==4 & educe <= `x'
replace u1prev = w`xm1' if u1prev == . & u1s!= .
replace u1ms = mart`x' if u1ms == . & u1s!= .
replace u1msa = msa`x' if u1msa == . & u1s!= .
replace u1ui1  = ui`x' if u1ui1 == . & u1s!= . & u1e == .
replace u1srch1  = w`x' if u1srch1 == . & u1s!= . & u1e == .
forvalues a = 1/299{
local bm1 = 301 - `a' - 1
local b   = 301 - `a'
replace u1ui`b'  = ui`x' if u1ui`bm1' != . & u1ui`b' == . & u1s!= . & u1e == .
replace u1srch`b'  = w`x'   if u1srch`bm1' != . & u1srch`b' == . & u`z's!= . & u`z'e == .
}
replace u1next = w`xp1' if u1e == . & u1s != . & w`xp1' != w`x'
replace u1next = 7 if u1e == . & u1s != . & w`xp1' != w`x' & (jail`x' == 7 | jail`xp1' == 7)
replace u1e = `x' if u1e == . & u1s != . & w`xp1' != w`x'
}


forvalues x = 1/10{
gen u`x'spell = u`x'e-u`x's+1
}

forvalues x = 1/10{
replace u`x'spell = . if u`x'prev == 7
}


forvalues x = 1/10{
gen u`x'wage = .
}

forvalues x = 1/10{

replace u`x'wage = w1997j1 if u`x'next == ji199701
replace u`x'wage = w1997j2 if u`x'next == ji199702
replace u`x'wage = w1997j3 if u`x'next == ji199703
replace u`x'wage = w1997j4 if u`x'next == ji199704
replace u`x'wage = w1997j5 if u`x'next == ji199705
replace u`x'wage = w1997j6 if u`x'next == ji199706
replace u`x'wage = w1997j7 if u`x'next == ji199707

replace u`x'wage = w1998j1 if u`x'next == ji199801
replace u`x'wage = w1998j2 if u`x'next == ji199802
replace u`x'wage = w1998j3 if u`x'next == ji199803
replace u`x'wage = w1998j4 if u`x'next == ji199804
replace u`x'wage = w1998j5 if u`x'next == ji199805
replace u`x'wage = w1998j6 if u`x'next == ji199806
replace u`x'wage = w1998j7 if u`x'next == ji199807
}


forvalues x = 1/10{
forvalues z = 1999/2009{
forvalues a = 1/7{
replace u`x'wage = w`z'j`a' if u`x'next == ji`z'0`a'
}
}
}

save master97U, replace
